Package org.apache.tools.ant.taskdefs.optional.depend

## Class JarFileIterator

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.depend.JarFileIterator

All Implemented Interfaces:
  `java.lang.Iterable<ClassFile>`, `ClassFileIterator`

    public class JarFileIterator
    extends java.lang.Object
    implements ClassFileIterator

A class file iterator which iterates through the contents of a Java jar file.

### Constructor Summary

Constructors
`JarFileIterator​(java.io.InputStream stream)` Construct an iterator over a jar stream

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassFile` `getNextClassFile()` Get the next ClassFile object from the jar

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tools.ant.taskdefs.optional.depend.ClassFileIterator

`iterator`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### JarFileIterator

    public JarFileIterator​(java.io.InputStream stream)
                    throws java.io.IOException

Construct an iterator over a jar stream

Parameters:
  `stream` - the basic input stream from which the Jar is received
Throws:
  `java.io.IOException` - if the jar stream cannot be created

### Method Detail

#### getNextClassFile

    public ClassFile getNextClassFile()

Get the next ClassFile object from the jar

Specified by:
  `getNextClassFile` in interface `ClassFileIterator`
Returns:
  a ClassFile object describing the class from the jar